## cyrus-imapd-2.4 2.4.17+caldav~beta9

=== doc/text/Makefile ===
# Makefile for cyrus documentation directory
#
# Copyright (c) 1994-2008 Carnegie Mellon University.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The name "Carnegie Mellon University" must not be used to
#    endorse or promote products derived from this software without
#    prior written permission. For permission or any legal
#    details, please contact
#      Carnegie Mellon University
#      Center for Technology Transfer and Enterprise Creation
#      4615 Forbes Avenue
#      Suite 302
#      Pittsburgh, PA  15213
#      (412) 268-7393, fax: (412) 268-7395
#      innovation@andrew.cmu.edu
#
# 4. Redistributions of any form whatsoever must retain the following
#    acknowledgment:
#    "This product includes software developed by Computing Services
#     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
#
# CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
# FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $Id: Makefile,v 1.6 2010/01/06 17:01:29 murch Exp $

all: htmlstrip docs clean

docs:
	for file in ../*.html; \
	do \
		echo "=== $$file ==="; \
		./htmlstrip $$file > `basename $$file .html`; \
	done
	@echo "== done =="

htmlstrip: htmlstrip.c
	$(CC) $(CFLAGS) -o htmlstrip htmlstrip.c

clean:
	rm -f *.o *~ Makefile.bak htmlstrip

realclean: clean
	rm -f $(DOCS)

ci: docs
	cvs ci -m 'updated from html source' $(DOCS)

distclean: clean

depend:

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== tools/vzic/Makefile ===

#
# You will need to set this to the directory that the Olson timezone data
# files are in.
#
OLSON_DIR = .


# This is used as the PRODID property on the iCalendar files output.
# It identifies the product which created the iCalendar objects.
# So you need to substitute your own organization name and product.
PRODUCT_ID = -//CyrusIMAP.org//Cyrus %s//EN

# This is what libical-evolution uses.
#PRODUCT_ID = -//Ximian//NONSGML Evolution Olson-VTIMEZONE Converter//EN


# This is used to create unique IDs for each VTIMEZONE component.
# The prefix is put before each timezone city name. It should start and end
# with a '/'. The first part, i.e. 'myorganization.org' below, should be
# a unique vendor ID, e.g. use a hostname. The part after that can be
# anything you want. We use a date and version number for libical. The %D
# gets expanded to today's date. There is also a vzic-merge.pl which can be
# used to merge changes into a master set of VTIMEZONEs. If a VTIMEZONE has
# changed, it bumps the version number on the end of this prefix. */
#TZID_PREFIX = /myorganization.org/%D_1/
TZID_PREFIX =

# This is what libical-evolution uses.
#TZID_PREFIX = /softwarestudio.org/Olson_%D_1/


# Set any -I include directories to find the libical header files, and the
# libical library to link with. You only need these if you want to run the
# tests. You may need to change the '#include <ical.h>' line at the top of
# test-vzic.c as well.
LIBICAL_CFLAGS =
LIBICAL_LDADD = -lical


#
# You shouldn't need to change the rest of the file.
#

GLIB_CFLAGS = `pkg-config --cflags glib-2.0`
GLIB_LDADD = `pkg-config --libs glib-2.0`

CFLAGS = -g -I../.. -DOLSON_DIR=\"$(OLSON_DIR)\" -DPRODUCT_ID='"$(PRODUCT_ID)"' -DTZID_PREFIX='"$(TZID_PREFIX)"' $(GLIB_CFLAGS) $(LIBICAL_CFLAGS)

OBJECTS = vzic.o vzic-parse.o vzic-dump.o vzic-output.o

all: vzic

vzic: $(OBJECTS)
	$(CC) $(OBJECTS) $(GLIB_LDADD) -o vzic

test-vzic: test-vzic.o
	$(CC) test-vzic.o $(LIBICAL_LDADD) -o test-vzic

# Dependencies.
$(OBJECTS): vzic.h
vzic.o vzic-parse.o: vzic-parse.h
vzic.o vzic-dump.o: vzic-dump.h
vzic.o vzic-output.o: vzic-output.h

test-parse: vzic
	./vzic-dump.pl $(OLSON_DIR)
	./vzic --dump --pure
	@echo
	@echo "#"
	@echo "# If either of these diff commands outputs anything there may be a problem."
	@echo "#"
	diff -ru zoneinfo/ZonesPerl zoneinfo/ZonesVzic
	diff -ru zoneinfo/RulesPerl zoneinfo/RulesVzic

test-changes: vzic test-vzic
	./test-vzic --dump-changes
	./vzic --dump-changes --pure
	@echo
	@echo "#"
	@echo "# If this diff command outputs anything there may be a problem."
	@echo "#"
	diff -ru zoneinfo/ChangesVzic test-output

clean:
	-rm -rf vzic $(OBJECTS) *~ ChangesVzic RulesVzic ZonesVzic RulesPerl ZonesPerl test-vzic test-vzic.o

.PHONY: clean perl-dump test-parse

## cyrus-imapd-2.4 2.4.8

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.8-7) unstable; urgency=low

  * More Hurd fixes; Conditionally #define MAXHOSTNAMELEN
  * Add Breaks/Replaces cyrus-common-2.4 (<< 2.4.8-6) to cyrus-
    {imapd,replication}-2.4 to fix upgrade breakage on moved man pages
    (Closes: #627143)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2011 10:28:55 +0200

cyrus-imapd-2.4 (2.4.8-6) unstable; urgency=low

  * cyrus-makedirs also need /usr/sbin/cyrus and
    /usr/lib/cyrus/bin/makedirs to be moved to cyrus-common
  * Install manpages with cyrus- prefix to correct packages
  * Add a note about automatic upgrade (Closes: #626759)
  * Define PATH_MAX as 4096 on platforms which doesn't have it defined
    (fixes Hurd build)
  * Move the upgrade login to cyrus-common-2.4.postinst as it depends on
    cyrus-common-2.4 files
  * Force removal of *.active files in postrm script
  * Move dbX.Y-util back to Depends to be safe
  * Move to more standard debconf setup to fix breakage in postrm script

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 May 2011 10:57:43 +0200

cyrus-imapd-2.4 (2.4.8-5) unstable; urgency=low

  * Add some double lintian-overrides to clean the ./usr vs usr
    confusion
  * Remove patch to remove unused Berkeley DB environment
    (Closes: #626418)
  * Add ptclient binaries (Closes: #626553)
  * Add dependency on libsasl2-modules to fix timsieved
  * Move cyrus-makedirs to cyrus-common package where it belongs
    (fixes piuparts and postinst error)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 14 May 2011 22:17:37 +0200

cyrus-imapd-2.4 (2.4.8-4) unstable; urgency=low

  * Fix crash when removing unused Berkeley DB environment
    + Use new dbenv handle for DB_ENV->remove
    + Call DB_ENV->get_home before closing the environment
    (Closes: #626418)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 May 2011 09:02:05 +0200

cyrus-imapd-2.4 (2.4.8-3) unstable; urgency=low

  * Use default values in case of missing /etc/imapd.conf
  * Add lintian-overrides for the /etc/init.d/cyrus-imapd magick
  * Bump standards version to 3.9.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2011 18:10:25 +0200

cyrus-imapd-2.4 (2.4.8-2) unstable; urgency=low

  * Remove versioned dependency on archaic version perl, remove extra
    dependency on libextutils-parsexs-perl
  * Remove /var/run/cyrus/socket from package, it gets installed by the
    init.d script
  * Update fr.po (Closes: #620628)
  * Make cyrus-upgrade-db conformant with Berkeley DB guidelines for
    upgrading
  * Remove unused Berkeley DB environment
  * Move init.d file handling to debhelper, cyrus-common installs the
    file, cyrus-common-2.x invokes it (Closes: #622367)
  * Untangle circular dependency (Closes: #622607)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2011 17:56:40 +0200

cyrus-imapd-2.4 (2.4.8-1) unstable; urgency=low

  * Imported Upstream version 2.4.8
  * Debian packaging:
    + Refreshed quilt patches for new upstream 2.4.8
    + Build-depend just on plain "libdb-dev"

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2011 10:24:20 +0200

cyrus-imapd-2.4 (2.4.7-6) unstable; urgency=low

  * Bug #620628: Fix FR translation (Christian Perrier)
  * Do automatic upgrades of the database backends (Closes: #620321)
    + Install cyrus-upgrade-db script to cyrus-common package as
      /usr/lib/cyrus/bin/upgrade-db
    + Add dependency on db4.7-util (squeeze), db4.8-util (old sid) and
      db5.1-util (new sid) to allow automatic backend db upgrades.
    + Make triggered actions more verbose
    + Remove implicit triggers, all are called explicitly
    + Move more upgrade logic to cyrus-common.postinst
    + Don't fail if the database file doesn't exist
    + Trigger on files installed to /usr/lib/cyrus/
  * Remove debconf from cyrus-common-2.4.postinst

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Apr 2011 16:40:32 +0200

cyrus-imapd-2.4 (2.4.7-5) unstable; urgency=low

  * Add support for starting cyrus-imapd-2.2 (Closes: #620839)
  
 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Apr 2011 23:57:45 +0200

cyrus-imapd-2.4 (2.4.7-4) unstable; urgency=low

  * Rework postinst files to use dpkg-trigger to run cyrus-makedirs
    and (re)start cyrmaster
  * Update depends on cyrus-common (2.4.7-4~) with triggers
  * Add some missing files to the packages (Closes: #620325)
  * Fix error in .NAME section to allow lexgrog parsing
  * Update description for metapackages to be shorter than 80 characters

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Apr 2011 13:14:42 +0200

cyrus-imapd-2.4 (2.4.7-3) unstable; urgency=low

  * Install cyrus-common and cyrus-common-2.4 files to debian/tmp first,
    then let the dh_install take over.  This fixes binary only builds.
    (Closes: #620261)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2011 20:08:28 +0200

cyrus-imapd-2.4 (2.4.7-2) unstable; urgency=low

  * Fix cyrmaster -j (janitor) segfault (cherry-pick from 2.2)
  * Add NEWS content about upgrade from 2.2 to 2.4
  * Fix missing initial / when purging the cyrus-common package
  * Move cyrus-imapd version independent files to a generic cyrus-common.
    This is preliminary work which will allow us to depend cyrus-common-*
    on generic cyrus-common for seamless upgrades between major versions.
  * Update po files for cyrus-common

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2011 15:43:12 +0200

cyrus-imapd-2.4 (2.4.7-1) unstable; urgency=low

  * Imported Upstream version 2.4.7 (cleaned version)
  * Debian packaging:
    + Refreshed patches for 2.4.7 release
    + Start using pristine-tar

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Mar 2011 17:30:31 +0200

cyrus-imapd-2.4 (2.4.6-3) unstable; urgency=low

  * Build system:
    + Add some extra CFLAGS, with support for noopt in DH_OPTIONS
    + Update build depends, add libtool and autoconf
    + Enable PIE hardening option
    + Build with shared libcom_err to allow PIE hardening option
    + Reformat Uploaders field in debian/control


=== debian/control ===
Source: cyrus-imapd-2.4
Section: mail
Priority: extra
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
	   Sven Mueller <sven@debian.org>,
	   Benjamin Seidenberg <benjamin@debian.org>,
	   Ondřej Surý <ondrej@debian.org>,
	   Christoph Berg <myon@debian.org>,
	   Anthony Prades <toony.debian@chezouam.net>
Standards-Version: 3.9.2
Build-Depends: autoconf,
	       automake,
	       autotools-dev,
	       bison,
	       comerr-dev,
	       debhelper (>= 7.0.50~),
	       flex,
	       ghostscript,
	       groff,
	       hardening-wrapper,
	       libdb-dev,
	       libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
	       libldap2-dev,
	       libpam0g-dev,
	       libsasl2-dev (>= 2.1.9),
	       libsnmp-dev,
	       libssl-dev,
	       libtool (>= 2.2~),
	       libwrap0-dev,
	       libzephyr-dev,
	       perl,
	       po-debconf,
	       quilt (>> 0.46-7~),
	       transfig,
	       xutils-dev
Vcs-Git: git://git.debian.org/git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
Vcs-Browser: http://git.debian.org/?p=git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
Homepage: http://www.cyrusimap.org/

Package: cyrus-common-2.4
Architecture: any
Section: mail
Depends: cyrus-common (>= ${source:Version}~), ssmtp | mail-transport-agent, netbase (>= 4.07), gawk, libsasl2-modules, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.4 | cyrus-pop3d-2.4 | cyrus-murder-2.4 | cyrus-nntpd-2.4 | cyrus-admin-2.4
Suggests: cyrus-clients-2.4, cyrus-admin-2.4, cyrus-imapd-2.4, cyrus-pop3d-2.4, cyrus-murder-2.4, cyrus-replication-2.4, cyrus-nntpd-2.4, cyrus-doc-2.4, sasl2-bin, apt-listchanges (>= 2.35)
Provides: cyrus-common-2.2, cyrus-common-2.3
Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50), cyrus-common-2.2, cyrus-common-2.3
Replaces: cyrus-common-2.2, cyrus-common-2.3
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd-2.4 and/or cyrus-pop3d-2.4 packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder-2.4 can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication-2.4
 can be used to provide server replication between two imap servers.

Package: cyrus-doc-2.4
Architecture: all
Section: doc
Depends: ${misc:Depends}
Provides: cyrus-doc, cyrus-doc-2.2, cyrus-doc-2.3
Conflicts: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2, cyrus-doc-2.3
Replaces: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2, cyrus-doc-2.3
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-imapd-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-imapd, imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
Conflicts: cyrus-imapd (<< ${source:Version}), imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
Replaces: cyrus-imapd (<< ${source:Version}), cyrus-imapd-2.2, cyrus-imapd-2.3, cyrus-common-2.4 (<< 2.4.8-6)
Breaks: cyrus-common (<< 2.4.8-6)
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-pop3d-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-pop3d, pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
Replaces: cyrus-pop3d (<< ${source:Version}), cyrus-pop3d-2.2, cyrus-pop3d-2.3
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-admin-2.4
Architecture: all
Section: mail
Depends: libcyrus-imap-perl24 (>= ${binary:Version}), ${misc:Depends}
Suggests: sasl2-bin
Provides: cyrus-admin, cyrus-admin-2.2, cyrus-admin-2.3
Conflicts: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2, cyrus-admin-2.3
Replaces: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2, cyrus-admin-2.3
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-murder-2.4
Section: mail
Architecture: any
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.4 (= ${binary:Version}), cyrus-pop3d-2.4 (= ${binary:Version})
Provides: cyrus-murder, cyrus21-murder, cyrus22-murder, cyrus-murder-2.2, cyrus-murder-2.3
Conflicts: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2, cyrus-murder-2.3
Replaces: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2, cyrus-murder-2.3
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-replication-2.4
Section: mail
Architecture: any
Depends: cyrus-common-2.4 (= ${binary:Version}), cyrus-imapd-2.4 (= ${binary:Version}) | cyrus-pop3d-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-replication
Replaces: cyrus-replication (<< ${source:Version}), cyrus-common-2.4 (<< 2.4.8-6)
Conflicts: cyrus-replication (<< ${source:Version})
Breaks: cyrus-common-2.4 (<< 2.4.8-6)
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-nntpd-2.4
Architecture: any
Section: mail
Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-nntpd, news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
Replaces: cyrus-nntpd (<< ${source:Version}), cyrus-nntpd-2.2, cyrus-nntpd-2.3
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-clients-2.4
Architecture: any
Section: mail
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: cyrus-clients, cyrus-clients-2.2, cyrus-clients-2.3
Conflicts: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2, cyrus-clients-2.3
Replaces: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2, cyrus-clients-2.3
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-dev-2.4
Architecture: any
Section: devel
Depends: libcyrus-imap-perl24 (>= ${binary:Version}), cyrus-common-2.4 (= ${binary:Version}), libsasl2-dev (>= 2.1.9), ${misc:Depends}
Provides: cyrus-dev, cyrus-dev-2.2, cyrus-dev-2.3
Conflicts: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2, cyrus-dev-2.3, libdb3-dev (<< 3.2.9-15), libdb2-dev (<< 2.7.7.0-6), libdb4.2-dev (<<4.2.52)
Replaces: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2, cyrus-dev-2.3
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.4 package.

Package: cyrus-common
Architecture: all
Depends: ${misc:Depends}, adduser, db4.7-util, db4.8-util, db5.1-util
Conflicts: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
Replaces: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - POP/IMAP-before-SMTP using DRAC;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd-2.4 and/or cyrus-pop3d-2.4 packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder-2.4 can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication-2.4
 can be used to provide server replication between two imap servers.

Package: libcyrus-imap-perl24
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: libcyrus-imap-perl, libcyrus-imap-perl22, libcyrus-imap-perl23
Conflicts: libcyrus-imap-perl (<< ${source:Version}), libcyrus-imap-perl22 (<< 2.4), libcyrus-imap-perl23 (<< 2.4)

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.4
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001,2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

#
# Please refer to debian/README.source for instructions
# TODO: needs update
#

#Hardening Wrapper
export DEB_BUILD_HARDENING=1

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

export MAINPKG=cyrus-common-2.4
export DOCPKG=cyrus-doc-2.4
export TMPPKG := $(CURDIR)/debian/tmp
export PKGDIR := $(CURDIR)/debian/$(MAINPKG)
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

CFLAGS=-Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
LDFLAGS=-Wl,-z,defs -Wl,--as-needed

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Extra version information to add to Cyrus IMAPd ID
DEBVERSION ?= $(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: \(.*-\)/\1/p')
EXTRA_IDENT := Debian-$(DEBVERSION)

# DB engine version
export BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
DBENGINE := BerkeleyDB$(BDB_VERSION)

CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Other oddities
ifneq (,$(findstring strict,$(DEB_BUILD_OPTIONS)))
	CONFFLAGS += --enable-warnings-are-errors
endif

%:
	dh --with quilt $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f build-indep-stamp build-arch-stamp configure-stamp install-arch-stamp install-indep-stamp build-stamp build-prepare-stamp
	rm -f config.h config.h.in configure config.cache config.status config.log stamp-config confdefs.h
	rm -rf autom4te.cache
	rm -f mkinstalldirs install-sh config.sub config.guess
	rm -f netnews/Makefile perl/imap/Makefile.old perl/sieve/managesieve/Makefile.old snmp/Makefile Makefile et/Makefile
	rm -f doc/pod2htm* doc/murder.png
	rm -f master/makedepend.log 
	rm -rf doc/man
	rm -f sieve/addr.c sieve/addr.h sieve/addr-lex.c sieve/sieve.c sieve/sieve.h sieve/sieve-lex.c
	rm -f debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt debian/README.configure-options

override_dh_auto_configure:
	# Rebuild the build system
	autoreconf -I cmulocal -f -i
	automake -f -a 2>/dev/null || true
	dh_auto_configure CFLAGS="$(CFLAGS)" \
	 LDFLAGS="$(LDFLAGS)" -- \
	 $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --prefix=/usr/share --exec-prefix=/usr --libexecdir=/usr/sbin \
	 --bindir=/usr/sbin --sbindir=/usr/sbin \
	 --includedir=/usr/include/cyrus --mandir=/usr/share/man \
	 --datadir=/usr/share/cyrus --sysconfdir=/etc \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --mandir=/usr/share/man \
	 --with-cyrus-prefix=/usr/lib/cyrus \
	 --with-lock=fcntl \
	 --with-perl=/usr/bin/perl \
	 --with-openssl=/usr \
	 --with-bdb=db-$(BDB_VERSION) \
	 --with-bdb-libdir=/usr/lib --with-bdb-incdir=/usr/include \
	 --enable-murder --enable-nntp --enable-replication \
	 --disable-listext --with-sasl=/usr \
	 --enable-idled \
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-com_err="" \
	 --with-pidfile=/var/run/cyrmaster.pid \
	 --with-syslogfacility=MAIL \
	 --with-ucdsnmp=/usr \
	 --with-ldap=/usr
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep '^ac_cs_config=' config.status \
	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
		>> debian/README.configure-options
	sed -i 's/ -lsensors//' master/Makefile


override_dh_auto_build:
	PERL_MM_OPT="INSTALLDIRS=vendor" $(MAKE)
	# store database configuration for possible automatic
	# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep _db lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old
	#
	# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEBVERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi
	# former build-indep
	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(TMPPKG)
	# fix totaly broken location of the include files;
	# while at it, also avoid namespace collision, and move
	# lots of admin-only/system-only stuff to sbin and lib
	# also, do the renaming needed for alternatives
	# and fix the weird side-effect of setting the proper cyrus
	# location in configure.
	install -d -m 755 $(TMPPKG)/usr/sbin
	install -m 755 debian/cyrus $(TMPPKG)/usr/sbin
	# This is handled by /usr/sbin/cyrus tool from now
	#
	#for i in master reconstruct quota deliver ; do \
	#	mv $(TMPPKG)/usr/lib/cyrus/bin/$$i $(TMPPKG)/usr/sbin/cyr$$i ;\
	#done

	for i in master deliver ; do \
		mv $(TMPPKG)/usr/lib/cyrus/bin/$$i $(TMPPKG)/usr/sbin/cyr$$i ;\
	done
	#for i in mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	#         tls_prune ipurge cyrdump cvt_cyrusdb chk_cyrus arbitron \
	#	 cyr_expire unexpunge sync_client sync_reset cyr_synclog \
	#	 cyr_dbtool cyr_df ; do \
	#	mv $(TMPPKG)/usr/lib/cyrus/bin/$$i $(TMPPKG)/usr/sbin/$$i ;\
	#done
	for i in mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	         tls_prune ipurge cyrdump cvt_cyrusdb chk_cyrus arbitron \
		 cyr_expire unexpunge sync_client sync_reset cyr_synclog \
		 cyr_dbtool cyr_df cyrus-makedirs cyrreconstruct cyrquota; do \
		ln -fs cyrus $(TMPPKG)/usr/sbin/$$i ;\
	done
	install -d -m 755 $(TMPPKG)/usr/include
	mv $(TMPPKG)/usr/share/include/cyrus $(TMPPKG)/usr/include
	#mv $(TMPPKG)/bin/* $(TMPPKG)/usr/bin
	# Move the perl crap to a saner place
	install -d -m 755 $(TMPPKG)/usr/lib
	install -d -m 755 $(TMPPKG)/usr/share/perl5
	#mv $(TMPPKG)/lib/perl5/Cyrus $(TMPPKG)/usr/share/perl5/Cyrus
	#mv $(TMPPKG)/lib/* $(TMPPKG)/usr/lib
	# for stuff in /etc
	install -d -m 755 $(TMPPKG)/etc/cyrus $(TMPPKG)/etc/pam.d
	install -m 644 debian/imapd.conf    $(TMPPKG)/etc
	install -m 644 debian/cyrus.conf    $(TMPPKG)/etc
	(cd debian ; for i in *.pam ;\
		do install -m 644 $$i $(TMPPKG)/etc/pam.d/$${i%.pam} ;\
	done)
	# We rename some utils, so we need to sort out the manpages
	for i in master deliver ; do \
		mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyr$$i.8 ; \
	done

	# Rename all other manpages to have cyrus- prefix, but keep compatibility symlinks
	for i in master reconstruct quota deliver \
	         mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	         tls_prune ipurge cyrdump cvt_cyrusdb chk_cyrus arbitron \
		 cyr_expire unexpunge sync_client sync_reset cyr_synclog \
		 cyr_dbtool cyr_df ; do \
		mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
                ln -s cyrus-$$i.8 $(TMPPKG)/usr/share/man/man8/$$i.8 ; \
	done
	# And add our own manpages
	install -d -m 755 $(TMPPKG)/usr/share/man/man8

=== debian/watch ===
version=2
ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-imapd-(2\.3\..*).tar.(?:gz|bz2)

## cyrus-imapd-2.4 2.4.9~beta1

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.9~beta1-3) unstable; urgency=low

  * Remove word 'package' from instructions to install dbX.Y-util
  * Always set RET value (thanks to Steven Kurylo for catching that)
  * Silence pidofproc in try-restart (Courtesy of Steven Kurylo)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 10:05:43 +0200

cyrus-imapd-2.4 (2.4.9~beta1-2) unstable; urgency=low

  * Read only _db and on _db_path from lib/imapoptions (Closes: #629603)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2011 08:42:32 +0200

cyrus-imapd-2.4 (2.4.9~beta1-1) unstable; urgency=low

  * Imported Upstream version 2.4.9~beta1
  * Update patches to a new release
  * Update cyrus-upgrade-db script:
    + Only upgrade databases when really needed
    + Print an error if it doesn't find needed dbX.Y-util packages
    + Don't fail the postinst script on missing dbX.Y-util
    + Silence upgrade-db script when upgrading cyrus databases
  * Only recommends dbX.Y-util to allow backports

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Jun 2011 21:54:45 +0200

cyrus-imapd-2.4 (2.4.8-9) unstable; urgency=low

  * Update Vcs-* links
  * Replace sv_{yes,no,undef} with PL_sv_{yes,no,undef}
    (Closes: #628630)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2011 12:40:26 +0200

cyrus-imapd-2.4 (2.4.8-8) unstable; urgency=low

  * Link with -ldb only; this should stop builds when the binary is linked
    with different version from db.h than from shared library
  * Cherry pick from upstream git:
    + Fix seen_db related crash (Closes: #627202)
    + Fix SASL mechs list in IMAP capability response (Closes: #624831)
  * Remove cyrus 1.5 upgrade check from init.d file
  * Rewrite init.d script to make use start-stop-daemon and lsb init
    functions as much as possible
  * Implement more graceful stop for cyrmaster - sending QUIT/TERM/KILL
    with timeouts and using sync_shutdown_file for sync_client if defined
    in /etc/imapd.conf (Closes: #627339)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2011 15:45:07 +0200

=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
 	       quilt (>> 0.46-7~),
 	       transfig,
 	       xutils-dev
-Vcs-Git: git://git.debian.org/git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
-Vcs-Browser: http://git.debian.org/?p=git/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
+Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
+Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
 Homepage: http://www.cyrusimap.org/
 
 Package: cyrus-common-2.4
@@ -240,7 +240,8 @@
 
 Package: cyrus-common
 Architecture: all
-Depends: ${misc:Depends}, adduser, db4.7-util, db4.8-util, db5.1-util
+Depends: ${misc:Depends}, adduser
+Recommends: db4.7-util, db4.8-util, db5.1-util, db-util
 Conflicts: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
 Replaces: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
 Description: Cyrus mail system - common files

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	# store database configuration for possible automatic
 	# upgrading later
 	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
-	grep _db lib/imapoptions \
+	grep '_db"' lib/imapoptions \
 	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
 	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
 	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \

## cyrus-imapd-2.4 2.4.9~beta2

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.9~beta2-1) unstable; urgency=low

  * Imported Upstream version 2.4.9~beta2
  * Slightly update copyright file
  * Add comment about running the cyrus-upgrade-db as root and add
    copyright
  * Don't import autom4te.cache
  * Don't clean upstream generated sources (be more git-buildpackage
    friendly)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 23:08:25 +0200

## cyrus-imapd-2.4 2.4.9

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.9-1) unstable; urgency=low

  * Imported Upstream version 2.4.9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Jun 2011 09:13:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -56,14 +56,11 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f build-indep-stamp build-arch-stamp configure-stamp install-arch-stamp install-indep-stamp build-stamp build-prepare-stamp
-	rm -f config.h config.h.in configure config.cache config.status config.log stamp-config confdefs.h
-	rm -rf autom4te.cache
-	rm -f mkinstalldirs install-sh config.sub config.guess
+	rm -f config.h config.cache config.status config.log stamp-config confdefs.h
+	rm -f mkinstalldirs
 	rm -f netnews/Makefile perl/imap/Makefile.old perl/sieve/managesieve/Makefile.old snmp/Makefile Makefile et/Makefile
-	rm -f doc/pod2htm* doc/murder.png
+	rm -f doc/pod2htm*
 	rm -f master/makedepend.log 
-	rm -rf doc/man
-	rm -f sieve/addr.c sieve/addr.h sieve/addr-lex.c sieve/sieve.c sieve/sieve.h sieve/sieve-lex.c
 	rm -f debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt debian/README.configure-options
 
 override_dh_auto_configure:
@@ -201,3 +198,5 @@
 	done
 	# And add our own manpages
 	install -d -m 755 $(TMPPKG)/usr/share/man/man8
+	install -m 644 debian/cyrdump.8 $(TMPPKG)/usr/share/man/man8/cyrus-dump.8
+	install -m 644 debian/cyrus-makedirs.8 $(TMPPKG)/usr/share/man/man8/cyrus-makedirs.8

## cyrus-imapd-2.4 2.4.11

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.11-1) unstable; urgency=low

  * Imported Upstream version 2.4.11
  * Adapt patches to the new release
  * Fix Vcs-* Links
  * Use kfreebsd-any (Closes: #634693)
  * Move proc and lock directories to /run and clean them on restart
    (Closes: #629609)
  * Obsolete cyrus-imapd-2.2; it's no longer maintained upstream
  * Install docs for transitional packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2011 10:43:13 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	       groff,
 	       hardening-wrapper,
 	       libdb-dev,
-	       libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
+	       libkvm-dev [kfreebsd-any],
 	       libldap2-dev,
 	       libpam0g-dev,
 	       libsasl2-dev (>= 2.1.9),
@@ -34,8 +34,8 @@
 	       quilt (>> 0.46-7~),
 	       transfig,
 	       xutils-dev
-Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
-Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/pkg-cyrus-imapd-2.4.git
+Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/cyrus-imapd-2.4.git
+Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-imapd/cyrus-imapd-2.4.git
 Homepage: http://www.cyrusimap.org/
 
 Package: cyrus-common-2.4

## cyrus-imapd-2.4 2.4.12

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.12-2) unstable; urgency=low

  * Add versioned conflicts with *-2.2 (Closes: 644503)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Oct 2011 21:53:28 +0200

cyrus-imapd-2.4 (2.4.12-1) unstable; urgency=low

  * Optimize cyrus-makedirs finds that chown incorrect permissions in
    the spool
  * Imported Upstream version 2.4.12

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Oct 2011 09:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
 Recommends: cyrus-imapd-2.4 | cyrus-pop3d-2.4 | cyrus-murder-2.4 | cyrus-nntpd-2.4 | cyrus-admin-2.4
 Suggests: cyrus-clients-2.4, cyrus-admin-2.4, cyrus-imapd-2.4, cyrus-pop3d-2.4, cyrus-murder-2.4, cyrus-replication-2.4, cyrus-nntpd-2.4, cyrus-doc-2.4, sasl2-bin, apt-listchanges (>= 2.35)
 Provides: cyrus-common-2.2, cyrus-common-2.3
-Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50), cyrus-common-2.2, cyrus-common-2.3
-Replaces: cyrus-common-2.2, cyrus-common-2.3
+Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50), cyrus-common-2.2 (<< 2.4), cyrus-common-2.3
+Replaces: cyrus-common-2.2 (<< 2.4), cyrus-common-2.3
 Description: Cyrus mail system - common files
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
@@ -76,8 +76,8 @@
 Section: doc
 Depends: ${misc:Depends}
 Provides: cyrus-doc, cyrus-doc-2.2, cyrus-doc-2.3
-Conflicts: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2, cyrus-doc-2.3
-Replaces: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2, cyrus-doc-2.3
+Conflicts: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2 (<< 2.4), cyrus-doc-2.3
+Replaces: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2 (<< 2.4), cyrus-doc-2.3
 Description: Cyrus mail system - documentation files
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
@@ -101,8 +101,8 @@
 Section: mail
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: cyrus-imapd, imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
-Conflicts: cyrus-imapd (<< ${source:Version}), imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
-Replaces: cyrus-imapd (<< ${source:Version}), cyrus-imapd-2.2, cyrus-imapd-2.3, cyrus-common-2.4 (<< 2.4.8-6)
+Conflicts: cyrus-imapd (<< ${source:Version}), imap-server, cyrus-imapd-2.2 (<< 2.4), cyrus-imapd-2.3
+Replaces: cyrus-imapd (<< ${source:Version}), cyrus-imapd-2.2 (<< 2.4), cyrus-imapd-2.3, cyrus-common-2.4 (<< 2.4.8-6)
 Breaks: cyrus-common (<< 2.4.8-6)
 Description: Cyrus mail system - IMAP support
  Cyrus is an IMAP server designed to handle massive quantities of mail,
@@ -128,8 +128,8 @@
 Section: mail
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: cyrus-pop3d, pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
-Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
-Replaces: cyrus-pop3d (<< ${source:Version}), cyrus-pop3d-2.2, cyrus-pop3d-2.3
+Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server, cyrus-pop3d-2.2 (<< 2.4), cyrus-pop3d-2.3
+Replaces: cyrus-pop3d (<< ${source:Version}), cyrus-pop3d-2.2 (<< 2.4), cyrus-pop3d-2.3
 Description: Cyrus mail system - POP3 support
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
@@ -155,8 +155,8 @@
 Depends: libcyrus-imap-perl24 (>= ${binary:Version}), ${misc:Depends}
 Suggests: sasl2-bin
 Provides: cyrus-admin, cyrus-admin-2.2, cyrus-admin-2.3
-Conflicts: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2, cyrus-admin-2.3
-Replaces: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2, cyrus-admin-2.3
+Conflicts: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2 (<< 2.4), cyrus-admin-2.3
+Replaces: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2 (<< 2.4), cyrus-admin-2.3
 Description: Cyrus mail system - administration tools
  This package provides the administrative tools for the Cyrus IMAPd suite.
  It contains the cyradm tool which can be used to administer
@@ -172,8 +172,8 @@
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: cyrus-imapd-2.4 (= ${binary:Version}), cyrus-pop3d-2.4 (= ${binary:Version})
 Provides: cyrus-murder, cyrus21-murder, cyrus22-murder, cyrus-murder-2.2, cyrus-murder-2.3
-Conflicts: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2, cyrus-murder-2.3
-Replaces: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2, cyrus-murder-2.3
+Conflicts: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2 (<< 2.4), cyrus-murder-2.3
+Replaces: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2 (<< 2.4), cyrus-murder-2.3
 Description: Cyrus mail system - proxies and aggregator
  This package contains the Cyrus IMAPd suite murder aggregator system,
  i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
@@ -201,8 +201,8 @@
 Section: mail
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: cyrus-nntpd, news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
-Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
-Replaces: cyrus-nntpd (<< ${source:Version}), cyrus-nntpd-2.2, cyrus-nntpd-2.3
+Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system, cyrus-nntpd-2.2 (<< 2.4), cyrus-nntpd-2.3
+Replaces: cyrus-nntpd (<< ${source:Version}), cyrus-nntpd-2.2 (<< 2.4), cyrus-nntpd-2.3
 Description: Cyrus mail system - NNTP support
  This package contains the NNTP (Network News Transfer Protocol) portion of
  the Cyrus IMAPd suite.
@@ -214,8 +214,8 @@
 Section: mail
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: cyrus-clients, cyrus-clients-2.2, cyrus-clients-2.3
-Conflicts: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2, cyrus-clients-2.3
-Replaces: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2, cyrus-clients-2.3
+Conflicts: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2 (<< 2.4), cyrus-clients-2.3
+Replaces: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2 (<< 2.4), cyrus-clients-2.3
 Description: Cyrus mail system - test clients
  This package contains client tools to test the Cyrus IMAPd suite.
  It contains the mupdatetest, sivtest, smtptest, lmtptest,
@@ -230,8 +230,8 @@
 Section: devel
 Depends: libcyrus-imap-perl24 (>= ${binary:Version}), cyrus-common-2.4 (= ${binary:Version}), libsasl2-dev (>= 2.1.9), ${misc:Depends}
 Provides: cyrus-dev, cyrus-dev-2.2, cyrus-dev-2.3
-Conflicts: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2, cyrus-dev-2.3, libdb3-dev (<< 3.2.9-15), libdb2-dev (<< 2.7.7.0-6), libdb4.2-dev (<<4.2.52)
-Replaces: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2, cyrus-dev-2.3
+Conflicts: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2 (<< 2.4), cyrus-dev-2.3, libdb3-dev (<< 3.2.9-15), libdb2-dev (<< 2.7.7.0-6), libdb4.2-dev (<<4.2.52)
+Replaces: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2 (<< 2.4), cyrus-dev-2.3
 Description: Cyrus mail system - developer files
  This package contains header files and the static library needed
  to develop IMAP applications that interface with the Cyrus IMAPd suite.
@@ -272,4 +272,3 @@
 Architecture: any
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: libcyrus-imap-perl, libcyrus-imap-perl22, libcyrus-imap-perl23
-Conflicts: libcyrus-imap-perl (<< ${source:Version}), libcyrus-imap-perl22 (<< 2.4), libcyrus-imap-perl23 (<< 2.4)

## cyrus-imapd-2.4 2.4.13

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.13-2) unstable; urgency=low

  * Move all transitional packages to oldlibs section
  * Do mass Berkeley DB operations after all databases have been
    upgraded (Closes: #658915)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Feb 2012 22:44:23 +0100

cyrus-imapd-2.4 (2.4.13-1) unstable; urgency=low

  * Imported Upstream version 2.4.13
  * Refresh patches for new release
  * Add Danish translation (Joe Hansen).  (Closes: #633670)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Jan 2012 09:04:13 +0100
